
From: "Randy.Dunlap" <rddunlap@osdl.org>

add_pin_to_irq() should not be __init; it is used after init code.

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/io_apic.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/io_apic.c~add_pin_to_irq-section-fix arch/i386/kernel/io_apic.c
--- 25/arch/i386/kernel/io_apic.c~add_pin_to_irq-section-fix	2004-08-21 23:51:20.169231928 -0700
+++ 25-akpm/arch/i386/kernel/io_apic.c	2004-08-21 23:51:20.174231168 -0700
@@ -86,7 +86,7 @@ int vector_irq[NR_VECTORS] = { [0 ... NR
  * shared ISA-space IRQs, so we have to support them. We are super
  * fast in the common case, and fast for shared ISA-space IRQs.
  */
-static void __init add_pin_to_irq(unsigned int irq, int apic, int pin)
+static void add_pin_to_irq(unsigned int irq, int apic, int pin)
 {
 	static int first_free_entry = NR_IRQS;
 	struct irq_pin_list *entry = irq_2_pin + irq;
_
